# Uses of Enum
com.fasterxml.jackson.core.JsonToken

Packages that use JsonToken
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.base
Base classes used by concrete Parser and Generator implementations; contain functionality that is not specific to JSON or input abstraction (byte vs char).
com.fasterxml.jackson.core.exc
Package for some of `JsonProcessingException` subtypes contained by streaming API.
com.fasterxml.jackson.core.filter
com.fasterxml.jackson.core.io
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.json.async
Non-blocking ("async") JSON parser implementation.
com.fasterxml.jackson.core.type
Contains classes needed for type introspection, mostly used by data binding functionality.
com.fasterxml.jackson.core.util
Utility classes used by Jackson Core functionality.

## Uses of JsonToken in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return JsonToken
Modifier and Type
Method
Description
`JsonToken`
TreeNode.`asToken()`
Method that can be used for efficient type detection when using stream abstraction for traversing nodes.
`JsonToken`
JsonParser.`currentToken()`
Accessor to find which token parser currently points to, if any; null will be returned if none.
`abstract JsonToken`
JsonParser.`getCurrentToken()`
Alias for `JsonParser.currentToken()`, may be deprecated sometime after Jackson 2.13 (will be removed from 3.0).
`abstract JsonToken`
JsonParser.`getLastClearedToken()`
Method that can be called to get the last token that was cleared using `JsonParser.clearCurrentToken()`.
`abstract JsonToken`
JsonParser.`nextToken()`
Main iteration method, which will advance stream enough to determine type of the next token, if any.
`abstract JsonToken`
JsonParser.`nextValue()`
Iteration method that will advance stream enough to determine type of the next token that is a value type (including JSON Array and Object start/end markers).
`static JsonToken`
JsonToken.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static JsonToken[]`
JsonToken.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core with parameters of type JsonToken
Modifier and Type
Method
Description
`abstract boolean`
JsonParser.`hasToken(JsonToken t)`
Method that is functionally equivalent to: `return currentToken() == t` but may be more efficiently implemented.
`static String`
JsonToken.`valueDescFor(JsonToken t)`
Helper method for constructing description like "Object value" given `JsonToken` encountered.

## Uses of JsonToken in com.fasterxml.jackson.core.base

Fields in com.fasterxml.jackson.core.base declared as JsonToken
Modifier and Type
Field
Description
`protected JsonToken`
ParserMinimalBase.`_currToken`
Last token retrieved via `ParserMinimalBase.nextToken()`, if any.
`protected JsonToken`
ParserMinimalBase.`_lastClearedToken`
Last cleared token, if any: that is, value that was in effect when `ParserMinimalBase.clearCurrentToken()` was called.
`protected JsonToken`
ParserBase.`_nextToken`
Secondary token related to the next token after current one; used if its type is known.
Methods in com.fasterxml.jackson.core.base that return JsonToken
Modifier and Type
Method
Description
`JsonToken`
ParserMinimalBase.`currentToken()`
`JsonToken`
ParserMinimalBase.`getCurrentToken()`
`JsonToken`
ParserMinimalBase.`getLastClearedToken()`
`abstract JsonToken`
ParserMinimalBase.`nextToken()`
`JsonToken`
ParserMinimalBase.`nextValue()`
`protected final JsonToken`
ParserBase.`reset(boolean negative, int intLen, int fractLen, int expLen)`
`protected final JsonToken`
ParserBase.`resetAsNaN(String valueStr, double value)`
`protected final JsonToken`
ParserBase.`resetFloat(boolean negative, int intLen, int fractLen, int expLen)`
`protected final JsonToken`
ParserBase.`resetInt(boolean negative, int intLen)`
Methods in com.fasterxml.jackson.core.base with parameters of type JsonToken
Modifier and Type
Method
Description
`protected void`
ParserMinimalBase.`_reportInputCoercion(String msg, JsonToken inputType, Class<?> targetType)`
`protected void`
ParserMinimalBase.`_reportInvalidEOF(String msg, JsonToken currToken)`
`protected void`
ParserMinimalBase.`_reportInvalidEOFInValue(JsonToken type)`
`boolean`
ParserMinimalBase.`hasToken(JsonToken t)`
`protected void`
ParserMinimalBase.`reportOverflowInt(String numDesc, JsonToken inputType)`
`protected void`
ParserMinimalBase.`reportOverflowLong(String numDesc, JsonToken inputType)`

## Uses of JsonToken in com.fasterxml.jackson.core.exc

Fields in com.fasterxml.jackson.core.exc declared as JsonToken
Modifier and Type
Field
Description
`protected final JsonToken`
InputCoercionException.`_inputType`
Input token that represents input value that failed to coerce.
Methods in com.fasterxml.jackson.core.exc that return JsonToken
Modifier and Type
Method
Description
`JsonToken`
InputCoercionException.`getInputType()`
Accessor for getting information about input type (in form of token, giving "shape" of input) for which coercion failed.
Constructors in com.fasterxml.jackson.core.exc with parameters of type JsonToken
Modifier
Constructor
Description
``
`InputCoercionException(JsonParser p, String msg, JsonToken inputType, Class<?> targetType)`
Constructor that uses current parsing location as location, and sets processor (accessible via `StreamReadException.getProcessor()`) to specified parser.

## Uses of JsonToken in com.fasterxml.jackson.core.filter

Fields in com.fasterxml.jackson.core.filter declared as JsonToken
Modifier and Type
Field
Description
`protected JsonToken`
FilteringParserDelegate.`_currToken`
Last token retrieved via `FilteringParserDelegate.nextToken()`, if any.
`protected JsonToken`
FilteringParserDelegate.`_lastClearedToken`
Last cleared token, if any: that is, value that was in effect when `FilteringParserDelegate.clearCurrentToken()` was called.
Methods in com.fasterxml.jackson.core.filter that return JsonToken
Modifier and Type
Method
Description
`protected final JsonToken`
FilteringParserDelegate.`_nextToken2()`
`protected final JsonToken`
FilteringParserDelegate.`_nextTokenWithBuffering(TokenFilterContext buffRoot)`
`JsonToken`
FilteringParserDelegate.`currentToken()`
`JsonToken`
FilteringParserDelegate.`getCurrentToken()`
`JsonToken`
FilteringParserDelegate.`getLastClearedToken()`
`JsonToken`
FilteringParserDelegate.`nextToken()`
`JsonToken`
TokenFilterContext.`nextTokenToRead()`
`JsonToken`
FilteringParserDelegate.`nextValue()`
Methods in com.fasterxml.jackson.core.filter with parameters of type JsonToken
Modifier and Type
Method
Description
`final boolean`
FilteringParserDelegate.`hasToken(JsonToken t)`

## Uses of JsonToken in com.fasterxml.jackson.core.io

Fields in com.fasterxml.jackson.core.io declared as JsonToken
Modifier and Type
Field
Description
`protected final JsonToken`
JsonEOFException.`_token`
Type of token that was being decoded, if parser had enough information to recognize type (such as starting double-quote for Strings)
Methods in com.fasterxml.jackson.core.io that return JsonToken
Modifier and Type
Method
Description
`JsonToken`
JsonEOFException.`getTokenBeingDecoded()`
Accessor for possibly available information about token that was being decoded while encountering end of input.
Constructors in com.fasterxml.jackson.core.io with parameters of type JsonToken
Modifier
Constructor
Description
``
`JsonEOFException(JsonParser p, JsonToken token, String msg)`

## Uses of JsonToken in com.fasterxml.jackson.core.json

Methods in com.fasterxml.jackson.core.json that return JsonToken
Modifier and Type
Method
Description
`protected JsonToken`
ReaderBasedJsonParser.`_handleApos()`
`protected JsonToken`
UTF8DataInputJsonParser.`_handleApos()`
`protected JsonToken`
UTF8StreamJsonParser.`_handleApos()`
`protected JsonToken`
ReaderBasedJsonParser.`_handleInvalidNumberStart(int ch, boolean negative)`
`protected JsonToken`
ReaderBasedJsonParser.`_handleInvalidNumberStart(int ch, boolean negative, boolean hasSign)`
`protected JsonToken`
UTF8DataInputJsonParser.`_handleInvalidNumberStart(int ch, boolean neg)`
`protected JsonToken`
UTF8DataInputJsonParser.`_handleInvalidNumberStart(int ch, boolean neg, boolean hasSign)`
`protected JsonToken`
UTF8StreamJsonParser.`_handleInvalidNumberStart(int ch, boolean neg)`
`protected JsonToken`
UTF8StreamJsonParser.`_handleInvalidNumberStart(int ch, boolean neg, boolean hasSign)`
`protected JsonToken`
ReaderBasedJsonParser.`_handleOddValue(int i)`
Method for handling cases where first non-space character of an expected value token is not legal for standard JSON content.
`protected JsonToken`
UTF8DataInputJsonParser.`_handleUnexpectedValue(int c)`
Method for handling cases where first non-space character of an expected value token is not legal for standard JSON content.
`protected JsonToken`
UTF8StreamJsonParser.`_handleUnexpectedValue(int c)`
Method for handling cases where first non-space character of an expected value token is not legal for standard JSON content.
`protected final JsonToken`
ReaderBasedJsonParser.`_parseFloatThatStartsWithPeriod()`
Deprecated.
`protected final JsonToken`
ReaderBasedJsonParser.`_parseFloatThatStartsWithPeriod(boolean neg)`
`protected final JsonToken`
UTF8DataInputJsonParser.`_parseFloatThatStartsWithPeriod()`
Deprecated.
`protected final JsonToken`
UTF8DataInputJsonParser.`_parseFloatThatStartsWithPeriod(boolean neg, boolean hasSign)`
`protected final JsonToken`
UTF8StreamJsonParser.`_parseFloatThatStartsWithPeriod()`
Deprecated.
`protected final JsonToken`
UTF8StreamJsonParser.`_parseFloatThatStartsWithPeriod(boolean neg, boolean hasSign)`
`protected final JsonToken`
UTF8DataInputJsonParser.`_parseNegNumber()`
`protected final JsonToken`
UTF8DataInputJsonParser.`_parsePosNumber()`
`protected final JsonToken`
ReaderBasedJsonParser.`_parseUnsignedNumber(int ch)`
Initial parsing method for number values.
`protected JsonToken`
UTF8DataInputJsonParser.`_parseUnsignedNumber(int c)`
Initial parsing method for number values.
`protected JsonToken`
UTF8StreamJsonParser.`_parseUnsignedNumber(int c)`
Initial parsing method for number values.
`final JsonToken`
ReaderBasedJsonParser.`nextToken()`
`JsonToken`
UTF8DataInputJsonParser.`nextToken()`
`JsonToken`
UTF8StreamJsonParser.`nextToken()`
Methods in com.fasterxml.jackson.core.json with parameters of type JsonToken
Modifier and Type
Method
Description
`protected final String`
ReaderBasedJsonParser.`_getText2(JsonToken t)`
`protected final String`
UTF8DataInputJsonParser.`_getText2(JsonToken t)`
`protected final String`
UTF8StreamJsonParser.`_getText2(JsonToken t)`
`protected char`
ReaderBasedJsonParser.`getNextChar(String eofMsg, JsonToken forToken)`

## Uses of JsonToken in com.fasterxml.jackson.core.json.async

Methods in com.fasterxml.jackson.core.json.async that return JsonToken
Modifier and Type
Method
Description
`protected final JsonToken`
NonBlockingJsonParserBase.`_closeArrayScope()`
`protected final JsonToken`
NonBlockingJsonParserBase.`_closeObjectScope()`
`protected final JsonToken`
NonBlockingJsonParserBase.`_eofAsNextToken()`
`protected final JsonToken`
NonBlockingJsonParserBase.`_fieldComplete(String name)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishErrorToken()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishErrorTokenWithEOF()`
`protected final JsonToken`
NonBlockingUtf8JsonParserBase.`_finishFieldWithEscape()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishFloatExponent(boolean checkSign, int ch)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishFloatFraction()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishKeywordToken(String expToken, int matched, JsonToken result)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishKeywordTokenWithEOF(String expToken, int matched, JsonToken result)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNonStdToken(int type, int matched)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNonStdTokenWithEOF(int type, int matched)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNumberIntegralPart(char[] outBuf, int outPtr)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNumberLeadingNegZeroes()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNumberLeadingPosNegZeroes(boolean negative)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNumberLeadingPosZeroes()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNumberLeadingZeroes()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNumberMinus(int ch)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNumberPlus(int ch)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishNumberPlusMinus(int ch, boolean negative)`
`protected final JsonToken`
NonBlockingUtf8JsonParserBase.`_finishToken()`
Method called when decoding of a token has been started, but not yet completed due to missing input; method is to continue decoding due to at least one more byte being made available to decode.
`protected final JsonToken`
NonBlockingUtf8JsonParserBase.`_finishTokenWithEOF()`
Method similar to `NonBlockingUtf8JsonParserBase._finishToken()`, but called when no more input is available, and end-of-input has been detected.
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_reportErrorToken(String actualToken)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startAposString()`
`protected final JsonToken`
NonBlockingJsonParserBase.`_startArrayScope()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startFalseToken()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startFloat(char[] outBuf, int outPtr, int ch)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startFloatThatStartsWithPeriod()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startNegativeNumber()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startNullToken()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startNumberLeadingZero()`
`protected final JsonToken`
NonBlockingJsonParserBase.`_startObjectScope()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startPositiveNumber()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startPositiveNumber(int ch)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startString()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startTrueToken()`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_startUnexpectedValue(boolean leadingComma, int ch)`
`protected final JsonToken`
NonBlockingJsonParserBase.`_valueComplete(JsonToken t)`
`protected final JsonToken`
NonBlockingJsonParserBase.`_valueCompleteInt(int value, String asText)`
`protected final JsonToken`
NonBlockingJsonParserBase.`_valueNonStdNumberComplete(int type)`
`JsonToken`
NonBlockingUtf8JsonParserBase.`nextToken()`
Methods in com.fasterxml.jackson.core.json.async with parameters of type JsonToken
Modifier and Type
Method
Description
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishKeywordToken(String expToken, int matched, JsonToken result)`
`protected JsonToken`
NonBlockingUtf8JsonParserBase.`_finishKeywordTokenWithEOF(String expToken, int matched, JsonToken result)`
`protected final String`
NonBlockingJsonParserBase.`_getText2(JsonToken t)`
`protected final JsonToken`
NonBlockingJsonParserBase.`_valueComplete(JsonToken t)`

## Uses of JsonToken in com.fasterxml.jackson.core.type

Fields in com.fasterxml.jackson.core.type declared as JsonToken
Modifier and Type
Field
Description
`JsonToken`
WritableTypeId.`valueShape`
Information about intended shape of the value being written (that is, `WritableTypeId.forValue`); in case of structured values, start token of the structure; for scalars, value token.
Constructors in com.fasterxml.jackson.core.type with parameters of type JsonToken
Modifier
Constructor
Description
``
`WritableTypeId(Object value, JsonToken valueShape)`
Constructor used when calling a method for generating and writing Type Id; caller only knows value object and its intended shape.
``
`WritableTypeId(Object value, JsonToken valueShape, Object id)`
Constructor used when calling a method for writing Type Id; caller knows value object, its intended shape as well as id to use; but not details of wrapping (if any).
``
`WritableTypeId(Object value, Class<?> valueType, JsonToken valueShape)`
Constructor used when calling a method for generating and writing Type Id, but where actual type to use for generating id is NOT the type of value (but its supertype).

## Uses of JsonToken in com.fasterxml.jackson.core.util

Methods in com.fasterxml.jackson.core.util that return JsonToken
Modifier and Type
Method
Description
`JsonToken`
JsonParserDelegate.`currentToken()`
`JsonToken`
JsonParserDelegate.`getCurrentToken()`
`JsonToken`
JsonParserDelegate.`getLastClearedToken()`
`JsonToken`
JsonParserDelegate.`nextToken()`
`JsonToken`
JsonParserSequence.`nextToken()`
`JsonToken`
JsonParserDelegate.`nextValue()`
`protected JsonToken`
JsonParserSequence.`switchAndReturnNext()`
Methods in com.fasterxml.jackson.core.util with parameters of type JsonToken
Modifier and Type
Method
Description
`boolean`
JsonParserDelegate.`hasToken(JsonToken t)`